Bug 915331 - Review Request: rubygem-rubeyond - A development framework for Ruby
Summary: Review Request: rubygem-rubeyond - A development framework for Ruby
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Mamoru TASAKA
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-25 14:31 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-08 06:48:12 UTC
Type: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Darryl L. Pierce 2013-02-25 14:31:02 UTC
Spec URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rubeyond.spec
SRPM URL: http://mcpierce.fedorapeople.org/rpms/rubygem-rubeyond-0.1-1.fc18.src.rpm
Description: Rubeyond provides addition general classes, mixins and functions to round out the standard library that ships with the Ruby language.
Fedora Account System Username: mcpierce

Comment 1 Mamoru TASAKA 2013-02-26 09:22:40 UTC
Assigning.

Comment 2 Mamoru TASAKA 2013-02-28 15:10:39 UTC
Okay, seems a simple package.

* License
  - It seems that License tag should be "GPLv3+".
    As you seems to be the upstream, please check this.

* Create ./%{gem_dir} before gem install --local
  - Please create ./%{gem_dir} before calling gem install,
    otherwise unneeded .gem directory will be created.
  ! Note
    Also see below.

! Note: migration to ruby 2.0.0
A. ruby(abi) v.s. ruby(release)
  - F-18/17 ruby requirement uses ruby(abi), while
    f19-ruby ruby requirement uses ruby(release).
    You can handle this like this:

%if 0%{?fedora} >= 19
Requires:	ruby(release)
BuildRequires:	ruby(release)
%else
Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby 
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	ruby 
%endif

B. mkdir -p .%{gem_dir} and gem install --local ....
  - Now this can be handled by %gem_install macro.
    Note that I backported %gem_install macro into
    F-18/F-17 rubygems rpm (i.e. /etc/rpm/macros.rubygems
    in F-18/F-17). These rubygems have not pushed into
    stable repository yet, however these rubygems
    have override tag, so now you can use
    %gem_install macro on koji even on F-18 and F-17.

Comment 3 Mamoru TASAKA 2013-02-28 15:11:38 UTC
Please check the above before importing. No blocker.

-------------------------------------------------------------
   This package (rubygem-rubeyond) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 4 Darryl L. Pierce 2013-02-28 15:58:12 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name: rubygem-rubeyond
Short Description: A development framework for Ruby
Owners: mcpierce
Branches: f17 f18 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-02-28 16:25:19 UTC
Git done (by process-git-requests).

Comment 6 Mamoru TASAKA 2013-02-28 21:20:24 UTC
Note that for rawhide, ruby(release) is provided by ruby 2.0.x, so you need
$ fedpkg build --target f19-ruby

Comment 7 Fedora Update System 2013-03-02 15:27:34 UTC
rubygem-rubeyond-0.1-1.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-rubeyond-0.1-1.1.fc18

Comment 8 Fedora Update System 2013-03-02 15:38:08 UTC
rubygem-rubeyond-0.1-1.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-rubeyond-0.1-1.1.fc17

Comment 9 Fedora Update System 2013-03-03 22:25:01 UTC
rubygem-rubeyond-0.1-1.1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 10 Mamoru TASAKA 2013-03-08 06:48:12 UTC
Closing.

Comment 11 Fedora Update System 2013-03-12 08:33:40 UTC
rubygem-rubeyond-0.1-1.1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-03-12 08:57:49 UTC
rubygem-rubeyond-0.1-1.1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.